import { Inter } from "next/font/google";
import "./globals.css";
import Modal from "@/components/Modal/Modal";
import { ReduxProvider } from "@/lib/providers/ReduxProvider";
const inter = Inter({ subsets: ["latin"] });

export const metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <ReduxProvider>
          {children}
          <Modal/>
        </ReduxProvider>
        <div id='modal-root'></div>
      </body>
    </html>
  );
}
